import httpClient from '@/common/http-client';
import channelListExcelHeader from './mock/channelListExcelHeader.json';

// 공통 코드.
const getCommCode = (params) => {
    return httpClient.post('/api/v1/bo/comm/getCode', params, { withCredentials: false });
}

// 청약정보 엑셀다운로드 목록 조회
const tmpltListExcel = (params) => {
    return httpClient.post('/api/v1/bo/channelMgt/tmpltListExcel', params);
}

const getExcelHeader = category => {
    // 엑셀에 출력할 Header 정보를 Mockup 데이터로 관리한다.
    return new Promise(function(resolve, reject) {
        let header = [];
        switch (category) {
            case 'CHANN':
                header = channelListExcelHeader.header;
                break;
            default:
                header = '';
                break;
        }
        resolve(header);
    });
};

export default {
    getCommCode,
    tmpltListExcel,
    getExcelHeader,
}
